3.21 upgrade issues

For issues with installing and configuring the Archon software to begin running on your webserver.

Moderators: paulnsorensen, kylefox2, prom, rishel

3.21 upgrade issues

Postby mtriehle » Tue Jan 10, 2012 5:01 pm

I’ve been running into a problem with the 3.21 upgrade. Each time it reaches the 3rd Step, it throws an error ('Archon has finished upgrading your packages, but please note that there may have been some issues. Please visit the Package Manager after this upgrade has completed to verify the status of your upgrades.') and the ‘next’ box is inactive. I found that the upgrade would continue by adding the ?p=upgrade&f=upgrade4 parameters. Once, I’m in the Package Manager, it appears everything is installed correctly. Is there something else we need to do if we are upgrading from 3.14 to 3.21? Is this a proper work around for this issue? I run into the same error if I try to upgrade to 3.20 as well.
mtriehle
 
Posts: 20
Joined: Wed Jun 22, 2011 2:57 pm

Re: 3.21 upgrade issues

Postby paulnsorensen » Tue Jan 10, 2012 5:45 pm

Have you done anything custom to your database?
paulnsorensen
Site Admin
 
Posts: 631
Joined: Mon Mar 31, 2008 8:55 am

Re: 3.21 upgrade issues

Postby mtriehle » Wed Jan 11, 2012 9:36 am

To my knowledge we have not. We inherited support of Archon a few years ago, so someone before that might have added something. By 'anything custom', are you thinking along the lines of additional fields, changing field types, etc?
mtriehle
 
Posts: 20
Joined: Wed Jun 22, 2011 2:57 pm

Re: 3.21 upgrade issues

Postby paulnsorensen » Wed Jan 11, 2012 5:06 pm

Yeah, anything that changes the database structure. Can you try rolling back your database before you first tried to upgrade, then try again? Please keep a close watch on your mysql.log file and let me know what the last few commands that were run were.

Also, what is your database version?
paulnsorensen
Site Admin
 
Posts: 631
Joined: Mon Mar 31, 2008 8:55 am

Re: 3.21 upgrade issues

Postby mtriehle » Wed Jan 25, 2012 12:45 pm

We are currently running MySQL 5.0.77
mtriehle
 
Posts: 20
Joined: Wed Jun 22, 2011 2:57 pm

Re: 3.21 upgrade issues

Postby mtriehle » Thu Mar 08, 2012 10:25 am

Here's the only errors that appear in PHP log, nothing is in the MySQL log

[Thu Mar 08 10:13:42 2012] [error] PHP Fatal error: packages/core/install/install.php MUST be deleted before Archon will function! in /var/www/html/www4/archonForum/start.inc.php on line 25
[Thu Mar 08 10:13:42 2012] [error] PHP Fatal error: MDB2 Error: connect failed in /var/www/html/www4/archonForum/start.inc.php on line 74

At this point, the installation stalls at Step3.

Thanks again for your help,
Matt
mtriehle
 
Posts: 20
Joined: Wed Jun 22, 2011 2:57 pm

Re: 3.21 upgrade issues

Postby paulnsorensen » Mon Mar 12, 2012 2:58 am

Did you try deleting the package/core/install/install.php file?
paulnsorensen
Site Admin
 
Posts: 631
Joined: Mon Mar 31, 2008 8:55 am

Re: 3.21 upgrade issues

Postby mtriehle » Mon Mar 12, 2012 8:09 am

No, I hadn't since I assumed this was needed during the installation piece. I just tried removing it after I get the message 'Upgrade complete'. When I do that, I receive the following error instead:


[Mon Mar 12 08:58:33 2012] [error] PHP Fatal error: packages/core/install/install.php MUST be deleted before Archon will function! in /var/www/html/www4/archonForum/start.inc.php on line 25
[Mon Mar 12 09:03:15 2012] [error] PHP Fatal error: packages/core/install/install.php MUST be deleted before Archon will function! in /var/www/html/www4/archonForum/start.inc.php on line 25
mtriehle
 
Posts: 20
Joined: Wed Jun 22, 2011 2:57 pm

Re: 3.21 upgrade issues

Postby mtriehle » Mon Mar 12, 2012 8:30 am

If I remove install.php from the beginning of the install, there are no error messages in the log, but it still stops at step 3.
mtriehle
 
Posts: 20
Joined: Wed Jun 22, 2011 2:57 pm

Re: 3.21 upgrade issues

Postby paulnsorensen » Wed Mar 14, 2012 1:17 am

Can you export your database structure in its current state so I can take a look?
paulnsorensen
Site Admin
 
Posts: 631
Joined: Mon Mar 31, 2008 8:55 am

Re: 3.21 upgrade issues

Postby mtriehle » Wed Mar 14, 2012 4:02 pm

I've sent the SQL structure for the original 3.14 and the upgraded 3.21 to your email. Thanks again for taking a look at this! It is much appreciated!
mtriehle
 
Posts: 20
Joined: Wed Jun 22, 2011 2:57 pm

Re: 3.21 upgrade issues

Postby paulnsorensen » Tue Mar 27, 2012 5:46 am

I believe the problem is that your tblCollections_Books table already has the ID field that the upgrade is trying to add. I would try restarting the upgrade from the 3.14 database, but you'll have to remove line 17 from packages/collections/install/3.21/structure-mysql.sql (this problem also exists in the mssql version of the file too, in case anyone else has this problem).

Code: Select all
-- Add Identifier to Books table
ALTER TABLE tblCollections_Books ADD Identifier VARCHAR(50) NULL DEFAULT NULL;


Please let me know if that works.
paulnsorensen
Site Admin
 
Posts: 631
Joined: Mon Mar 31, 2008 8:55 am

Re: 3.21 upgrade issues

Postby mtriehle » Fri May 18, 2012 2:32 pm

I finally had a chance to test this...
I removed the ALTER TABLE code and it is still throwing errors. "Archon has finished upgrading your packages, but please note that there may have been some issues. Please visit the Package Manager after this upgrade has completed to verify the status of your upgrades.<br />"

Any other ideas?

I'm using Archon 3.21-r1 and upgrading directly from our 3.14 install.
mtriehle
 
Posts: 20
Joined: Wed Jun 22, 2011 2:57 pm

Re: 3.21 upgrade issues

Postby mtriehle » Fri May 18, 2012 3:04 pm

I took a look at the apache logs and it's throwing this warning: PHP Warning: preg_match() [<a href='function.preg-match'>function.preg-match</a>]: Unknown modifier 'r' in packages/core/lib/archon.inc.php on line 3072
mtriehle
 
Posts: 20
Joined: Wed Jun 22, 2011 2:57 pm

Re: 3.21 upgrade issues

Postby paulnsorensen » Mon Jun 11, 2012 4:21 am

It's not exactly clear to me what could be causing this problem. Can you open that file on your server and tell me what line 3072 is and what function it's a part of? That line is not matching up to a preg_match() here, and I already surveyed all usages of that function in the codebase and am not able to see what might be causing that error.
paulnsorensen
Site Admin
 
Posts: 631
Joined: Mon Mar 31, 2008 8:55 am


Return to Installation/Configuration Issues

Who is online

Users browsing this forum: No registered users and 2 guests

cron